import { h } from "@stencil/core";
export class CloseIcon {
    constructor() {
        this.width = '16';
        this.height = '16';
    }
    render() {
        return (h("svg", { key: '8c588cb34c8e834a5fa4bc0b4c677c1e44723fee', width: "21", height: "21", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: '2a0c968755966779f42e75f6c9eed733b3fd7f8e', "clip-path": "url(#a)" }, h("path", { key: '1723f91c026a17c279d24adef0ea9aace474890c', d: "M5.73 4.574a.75.75 0 1 0-1.061 1.06l4.419 4.42-4.42 4.42a.75.75 0 1 0 1.061 1.06l4.42-4.42 4.419 4.42a.75.75 0 0 0 1.06-1.06l-4.419-4.42 4.42-4.42a.75.75 0 1 0-1.061-1.06l-4.42 4.42-4.419-4.42Z", fill: "currentColor" })), h("defs", { key: 'a3d657a8d3fe6523db89cd7ba6be4efd6503e08b' }, h("clipPath", { key: '066108607aca4366de715418353804e95a418ebf', id: "a" }, h("path", { key: '97a435e87556734381f370d0952316da051a45e6', fill: "#fff", transform: "translate(.148 .054)", d: "M0 0h20v20H0z" })))));
    }
    static get is() { return "close-icon"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'16'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'16'"
            }
        };
    }
}
//# sourceMappingURL=close.js.map
