var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
        return Reflect.metadata(k, v);
};
import { RegisterComponent } from "../../../common/register-component";
import { checkForMissingSlots, debug } from "../../../utils/utils";
import { Host, h } from "@stencil/core";
export class NylasFormCard {
    connectedCallback() {
        debug('nylas-event-card', 'connectedCallback');
    }
    componentWillLoad() {
        debug('nylas-event-card', 'componentWillLoad');
    }
    componentDidLoad() {
        debug('nylas-event-card', 'componentDidLoad');
    }
    disconnectedCallback() {
        debug('nylas-event-card', 'disconnectedCallback');
        const slots = ['header-title', 'header-subtitle', 'content'];
        checkForMissingSlots(slots, this.host);
    }
    render() {
        return (h(Host, { key: '31393b433166bf3ff3982b62e229e9ec7ad23db7' }, h("div", { key: '79d7b1f0fb6455a06c9c2e4a1189737fbd6bcca2', class: "nylas-form-card", part: "nfc" }, h("div", { key: 'c1bd78a856d6c5cca85cf8a8bf7739c1b5c3b229', class: "nylas-form-card__header", part: "nfc__header" }, h("slot", { key: '6a721147b4a50153efdee48421a57f391b86c3f5', name: "header-title" }), h("slot", { key: '6d4a96a0ca1770631da061447d78c4edaff07196', name: "header-subtitle" })), h("div", { key: '48ddebeea82502cc9a4ca5e5f3a8530ceeafca45', class: "nylas-form-card__content" }, h("slot", { key: '8cafec69611eef2be174b7a998bec6082037f42d', name: "content" })))));
    }
    static get is() { return "nylas-form-card"; }
    static get encapsulation() { return "shadow"; }
    static get formAssociated() { return true; }
    static get originalStyleUrls() {
        return {
            "$": ["nylas-form-card.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["nylas-form-card.css"]
        };
    }
    static get elementRef() { return "host"; }
    static get attachInternalsMemberName() { return "internals"; }
}
__decorate([
    RegisterComponent({
        name: 'nylas-form-card',
        eventToProps: {},
        fireRegisterEvent: true,
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], NylasFormCard.prototype, "render", null);
//# sourceMappingURL=nylas-form-card.js.map
