import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-arrow-icon-h{display:flex}";
const ArrowIconStyle0 = iconCss;

const ArrowIcon$1 = proxyCustomElement(class ArrowIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'fed9a45c6880d6cfefba5d70ab0e0c3f0e6c5c5c', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'cf58d5ba2c49aac7bb558c7f5c823773cf2c669e', d: "M5 12H19M12 5L19 12L12 19", stroke: "currentColor", "stroke-width": "2", "stroke-linecap": "round", "stroke-linejoin": "round" })));
    }
    static get style() { return ArrowIconStyle0; }
}, [2, "arrow-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["arrow-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "arrow-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ArrowIcon$1);
            }
            break;
    } });
}

const ArrowIcon = ArrowIcon$1;
const defineCustomElement = defineCustomElement$1;

export { ArrowIcon, defineCustomElement };

//# sourceMappingURL=arrow-icon.js.map