import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-close-icon-h{display:flex}";
const CloseIconStyle0 = iconCss;

const CloseIcon = proxyCustomElement(class CloseIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '16';
        this.height = '16';
    }
    render() {
        return (h("svg", { key: '8c588cb34c8e834a5fa4bc0b4c677c1e44723fee', width: "21", height: "21", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: '2a0c968755966779f42e75f6c9eed733b3fd7f8e', "clip-path": "url(#a)" }, h("path", { key: '1723f91c026a17c279d24adef0ea9aace474890c', d: "M5.73 4.574a.75.75 0 1 0-1.061 1.06l4.419 4.42-4.42 4.42a.75.75 0 1 0 1.061 1.06l4.42-4.42 4.419 4.42a.75.75 0 0 0 1.06-1.06l-4.419-4.42 4.42-4.42a.75.75 0 1 0-1.061-1.06l-4.42 4.42-4.419-4.42Z", fill: "currentColor" })), h("defs", { key: 'a3d657a8d3fe6523db89cd7ba6be4efd6503e08b' }, h("clipPath", { key: '066108607aca4366de715418353804e95a418ebf', id: "a" }, h("path", { key: '97a435e87556734381f370d0952316da051a45e6', fill: "#fff", transform: "translate(.148 .054)", d: "M0 0h20v20H0z" })))));
    }
    static get style() { return CloseIconStyle0; }
}, [2, "close-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["close-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "close-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CloseIcon);
            }
            break;
    } });
}

export { CloseIcon as C, defineCustomElement as d };

//# sourceMappingURL=close.js.map