import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-forward-icon-h{display:flex}";
const ForwardIconStyle0 = iconCss;

const ForwardIcon$1 = proxyCustomElement(class ForwardIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'f093412278453f9ea9dc6cf345d6171c134a5398', fill: "auto", width: this.width, height: this.height, viewBox: "0 0 1920 1920", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'f90de705f64444d7a2ad7fe7835a3e9af196a902', d: "m1246.246 64-90.496 90.496 477.952 477.952h-590.848C467.878 632.448.038 1100.416.038 1675.392v109.056h128v-109.056c0-504.576 410.368-914.944 914.816-914.944h590.848l-477.952 478.08 90.496 90.496 632.448-632.576L1246.246 64Z", "fill-rule": "evenodd" })));
    }
    static get style() { return ForwardIconStyle0; }
}, [2, "forward-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["forward-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "forward-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ForwardIcon$1);
            }
            break;
    } });
}

const ForwardIcon = ForwardIcon$1;
const defineCustomElement = defineCustomElement$1;

export { ForwardIcon, defineCustomElement };

//# sourceMappingURL=forward-icon.js.map