import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-sent-icon-h{display:flex}";
const SentIconStyle0 = iconCss;

const SentIcon$1 = proxyCustomElement(class SentIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: '8ef0cc601ee3b4eee35b06dd2e703b78097db2f3', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '48e4732c8b29a8f67d5c05d949e526bb3d8265d2', d: "M21.5 12L3.5 3.5L3.5 20.5L21.5 12Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'ac59135a61f3304c0ea3d5905eec1cafc47d91cd', d: "M3.5 3.5L12 10.5", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '6200596d2992c44eb57da99e86e0fccfab225ce8', d: "M3.5 20.5L12 13.5", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return SentIconStyle0; }
}, [2, "sent-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["sent-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "sent-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SentIcon$1);
            }
            break;
    } });
}

const SentIcon = SentIcon$1;
const defineCustomElement = defineCustomElement$1;

export { SentIcon, defineCustomElement };

//# sourceMappingURL=sent-icon.js.map