import { h } from "@stencil/core";
export class LoadingIcon {
    constructor() {
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("div", { key: 'f57596041d2b245a61e68b619e1611b562ac0ea9', class: "wave" }, h("div", { key: 'ee8a655c6584adfa4f0f89c50d4b60959067573c', class: "dot" }), h("div", { key: 'f619f493ca925ed91134aba6feadaba916517739', class: "dot" }), h("div", { key: 'a8fd3592f3452bd5b4f5f0e64c55e56075a78a61', class: "dot" })));
    }
    static get is() { return "loading-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["loading.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["loading.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'15'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'15'"
            }
        };
    }
}
//# sourceMappingURL=loading.js.map
