import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-play-icon-h{display:flex}";
const PlayIconStyle0 = iconCss;

const PlayIcon$1 = proxyCustomElement(class PlayIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'bd7e6c0150dac4f37e144c9750140dd990612a40', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '785ae52fc510f9d7a9a478027c7e392580134425', d: "M21 12L3 21V3L21 12Z", stroke: "auto", "stroke-width": "1.5", "stroke-linecap": "round", "stroke-linejoin": "round" })));
    }
    static get style() { return PlayIconStyle0; }
}, [2, "play-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["play-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "play-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, PlayIcon$1);
            }
            break;
    } });
}

const PlayIcon = PlayIcon$1;
const defineCustomElement = defineCustomElement$1;

export { PlayIcon, defineCustomElement };

//# sourceMappingURL=play-icon.js.map