import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-spam-icon-h{display:flex}";
const SpamIconStyle0 = iconCss;

const SpamIcon$1 = proxyCustomElement(class SpamIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'e4b51898e2533ea3cd40a8b7a97fdd65e65a07fd', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '203ee22867f877e1744ebcdaa1fd0ca084f8cb6b', d: "M20 3H4C2.89543 3 2 3.89543 2 5V19C2 20.1046 2.89543 21 4 21H20C21.1046 21 22 20.1046 22 19V5C22 3.89543 21.1046 3 20 3Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '8541a8d9c8dc64e909f6de9d58381ba10380b1f6', d: "M2 5L12 12.5L22 5", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return SpamIconStyle0; }
}, [2, "spam-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["spam-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "spam-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SpamIcon$1);
            }
            break;
    } });
}

const SpamIcon = SpamIcon$1;
const defineCustomElement = defineCustomElement$1;

export { SpamIcon, defineCustomElement };

//# sourceMappingURL=spam-icon.js.map