import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-stop-icon-h{display:flex}";
const StopIconStyle0 = iconCss;

const StopIcon$1 = proxyCustomElement(class StopIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: '523d5cb945c10c5860b83117bad5951406fa40b7', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'de92fe3f9ff16ed4935ab04eb89f0cb07480302e', d: "M4 4H20V20H4V4Z", stroke: "auto", "stroke-width": "1.5", "stroke-linecap": "round", "stroke-linejoin": "round" })));
    }
    static get style() { return StopIconStyle0; }
}, [2, "stop-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stop-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "stop-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StopIcon$1);
            }
            break;
    } });
}

const StopIcon = StopIcon$1;
const defineCustomElement = defineCustomElement$1;

export { StopIcon, defineCustomElement };

//# sourceMappingURL=stop-icon.js.map